<?xml version="1.0" encoding="utf-8"?>
<Session ID="/baanerp/tt/aud/ttaud3204s000" xml:lang="en">
	<Header>
		<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Audit Configuration Migration (ttaud3204s000)</Title>
	</Header>
	<HelpTopic xml:lang="en"><AimSection><Paragraph class="Default">
                                 Use this session to migrate the <Link href="/baanerp/tt/glossary/glossary#100069" role="glossary">audit</Link> configuration from <GUIRef href="/baanerp/tt" role="package">Tools</GUIRef> versions earlier than 7.4a to <GUIRef href="/baanerp/tt" role="package">Tools</GUIRef> version 7.4a or later.</Paragraph>
		</AimSection>
		<GeneralSection><Paragraph class="Default">If you have installed <GUIRef href="/baanerp/tt" role="package">Tools</GUIRef> version 7.4a or later, it is recommended to migrate to the new audit configuration functionality. The old configuration still works, but you cannot change anything in it. If you delay the migration to the new tools until new audit settings are required, the migration might interrupt the operation of the system too much.</Paragraph>
			<List><ListIntro>To migrate to the new audit configuration, the following types of data must be migrated:</ListIntro>
				<ListItem>The <Link href="/baanerp/tt/glossary/glossary#100239" role="glossary">audit host</Link> settings. To migrate these settings, you must enter them manually, in the <GUIRef href="/baanerp/tt/aud/ttaud3130m000" role="session">Audit Hosts (ttaud3130m000)</GUIRef> session. The old configuration stored this information in the tabledef6.2 file, which is stored in the \$BSE\lib directory.</ListItem>
				<ListItem>The <Link href="/baanerp/tt/glossary/glossary#100237" role="glossary">audit profiles</Link>. This data must also be entered manually. However, the current session can generate a report that compares the old settings with the new settings. If no new settings are present, the report contains your current audit field settings. The old configuration stored this information in the <Link href="/baanerp/tt/glossary/glossary#100005" role="glossary">data dictionary</Link>, table ttaad4111 (Tables by Database), and in the audit_set file, stored in the \$BSE\lib directory.</ListItem>
				<ListItem>The <Link href="/baanerp/tt/glossary/glossary#100020" role="glossary">audit trail</Link> settings, which consist of the audit trail file ( <Link href="/baanerp/tt/glossary/glossary#100242" role="glossary">sequence file</Link> ) sizes, the audit trail paths, and the security settings. This data can be migrated with the current session. The old configuration stored this information in table ttaad416 (Audit File Directories), and the audit_spec file, which was stored in the \$BSE\lib directory. This table was formerly accessible through the <GUIRef href="" role="manual">Audit File Directories (ttaad4116m000)</GUIRef> session, but from <GUIRef href="/baanerp/tt" role="package">Tools</GUIRef> version 7.4a or later, this session is no longer available.</ListItem>
			</List>
			<Note><SectionTitle>
                                    Note
                                 </SectionTitle>
				<List><ListItem>The report of the audit profiles that can be generated by the current session is dependent on your <Link href="/baanerp/tt/glossary/glossary#000000000000012" role="glossary">package combination</Link>. A different package combination can result in a different report.</ListItem>
					<ListItem>Run the <GUIRef href="/baanerp/tt/aud/ttaud3200s000" role="session">Create Runtime Audit Definitions (ttaud3200s000)</GUIRef> session to finish the migration.</ListItem>
				</List>
			</Note>
		</GeneralSection>
		<RelatedTopics><SectionTitle>
                                 Related topics
                              </SectionTitle>
			<RelTopic><Link href="/baanerp/tt/onlinemanual/100006" role="manual">Audit Configuration Management</Link>
			</RelTopic>
		</RelatedTopics>
	</HelpTopic>
	<Fields><FieldHelp ID="sizes"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Audit Trail File Sizes</Title>
			</Header>
			<FuncDesc>
                                 If this check box is selected, the session migrates the settings for the maximum file size of the <Link href="/baanerp/tt/glossary/glossary#100242" role="glossary">sequence files</Link>.</FuncDesc>
			<SimpleSection><Paragraph class="Default">You can define the audit trail file sizes in the <GUIRef href="/baanerp/tt/aud/ttaud3135m000" role="session">Audit Trail File Sizes (ttaud3135m000)</GUIRef> session.</Paragraph>
			</SimpleSection>
		</FieldHelp>
		<FieldHelp ID="paths"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Audit Trail Paths</Title>
			</Header>
			<FuncDesc>
                                 If this check box is selected, the session migrates the paths to the <Link href="/baanerp/tt/glossary/glossary#100242" role="glossary">sequence files</Link>.</FuncDesc>
			<SimpleSection><Paragraph class="Default">You can define the audit trail file sizes in the <GUIRef href="/baanerp/tt/aud/ttaud3136m000" role="session">Audit Trail Paths (ttaud3136m000)</GUIRef> session.</Paragraph>
			</SimpleSection>
		</FieldHelp>
		<FieldHelp ID="security"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Audit Trail Security</Title>
			</Header>
			<FuncDesc>
                                 If this check box is selected, the session migrates the security settings for printing, cleaning and maintaining the <Link href="/baanerp/tt/glossary/glossary#100242" role="glossary">sequence files</Link>.</FuncDesc>
			<SimpleSection><Paragraph class="Default">You can define the audit trail file sizes in the <GUIRef href="/baanerp/tt/aud/ttaud3137m000" role="session">Audit Trail Security (ttaud3137m000)</GUIRef> session.</Paragraph>
			</SimpleSection>
		</FieldHelp>
		<FieldHelp ID="fields"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Compare Audit Fields</Title>
			</Header>
			<FuncDesc>
                                 If this check box is selected, the session generates a report that compares the old audit field settings with the new settings (the <Link href="/baanerp/tt/glossary/glossary#100237" role="glossary">audit profiles</Link> ). If no new settings are present, the report contains your current audit field settings.</FuncDesc>
		</FieldHelp>
		<FieldHelp ID="curr.pacc$"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Package Combination</Title>
			</Header>
			<FuncDesc>The <Link href="/baanerp/tt/glossary/glossary#000000000000012" role="glossary">package combination</Link> for which the report is generated.</FuncDesc>
			<SimpleSection><Paragraph class="Default">The package combination displayed is the package combination of the user that runs this session.</Paragraph>
			</SimpleSection>
			<Note><SectionTitle>
                                    Note
                                 </SectionTitle>
				<Paragraph class="Default">A different package combination can result in a different report.</Paragraph>
			</Note>
		</FieldHelp>
		<FieldHelp ID="file.name"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Filename</Title>
			</Header>
			<FuncDesc>The path and name of the file to which the report is written.</FuncDesc>
		</FieldHelp>
		<FieldHelp ID="show"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Display File in File Viewer</Title>
			</Header>
			<FuncDesc>
                                 If this check box is selected, the report is displayed when it is generated. If this check box is cleared, the report is only stored in the file specified in the <GUIRef href="/baanerp/tt/aud/ttaud3204s000#file.name" role="manual">Filename</GUIRef> field.</FuncDesc>
		</FieldHelp>
	</Fields>
	<FormCommands><CommandHelp ID="migrate"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Continue</Title>
			</Header>
			<FuncDesc>Click to migrate the <Link href="/baanerp/tt/glossary/glossary#100020" role="glossary">audit trail</Link> settings and/or generate the report of the audit field settings ( <Link href="/baanerp/tt/glossary/glossary#100237" role="glossary">audit profiles</Link> ).</FuncDesc>
		</CommandHelp>
	</FormCommands>
</Session>
